from dasbus.connection import SessionMessageBus
from dasbus.error import ErrorMapper
from dasbus.identifier import DBusServiceIdentifier

ERROR_MAPPER = ErrorMapper()

SESSION_BUS = SessionMessageBus(error_mapper=ERROR_MAPPER)

SERVICE_NAMESPACE = ("com", "redhat", "lightspeed")

QUERY_NAMESAPCE = (*SERVICE_NAMESPACE, "query")
HISTORY_NAMESPACE = (*SERVICE_NAMESPACE, "history")

# Define the service identifier for a query
QUERY_IDENTIFIER = DBusServiceIdentifier(
    namespace=QUERY_NAMESAPCE, message_bus=SESSION_BUS
)
# Define the service identifier for a history
HISTORY_IDENTIFIER = DBusServiceIdentifier(
    namespace=HISTORY_NAMESPACE, message_bus=SESSION_BUS
)
